## org.gnu.pango
Class Font

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.pango.Font

public class Font
extends GObject

Pango supports a flexible architecture where a particular rendering architecture can supply an implementation of fonts. The PangoFont structure represents an abstract rendering-system-indepent font. Pango provides routines to list available fonts, and to load a font of a given description.

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`Font()`

Method Summary
`FontDescription` `describe()` Returns a description of the font.
`Coverage` `getCoverage(Language lang)` Computes the coverage map for a given font and language tag.
`FontMetrics` `getMetrics(Language lang)` Gets overall metric information for a font.
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`protected static Handle` `pango_font_describe(Handle font)`
`protected static Handle` `pango_font_get_coverage(Handle font, Handle language)`
`protected static Handle` `pango_font_get_metrics(Handle font, Handle language)`
`protected static int` `pango_font_get_type()`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Font

    public Font()

Method Detail

### describe

    public FontDescription describe()

  Returns a description of the font.

### getCoverage

    public Coverage getCoverage(Language lang)

  Computes the coverage map for a given font and language tag.

### getMetrics

    public FontMetrics getMetrics(Language lang)

  Gets overall metric information for a font. Since the metrics may be substantially different for different scripts, a language tag can be provided to indicate that the metrics should be retrieved that correspond to the script(s) used by that language.

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.

### pango_font_get_type

    protected static final int pango_font_get_type()

### pango_font_describe

    protected static final Handle pango_font_describe(Handle font)

### pango_font_get_coverage

    protected static final Handle pango_font_get_coverage(Handle font,
                                                          Handle language)

### pango_font_get_metrics

    protected static final Handle pango_font_get_metrics(Handle font,
                                                         Handle language)